namespace Tiger.Communication.Messages.Outgoing;

public enum OutgoingHeaders : short
{
     Hello = 0,
     SecretKey = 1,
     Rights = 2,
     LoginOk = 3,
     UserObj = 5,
     Purse = 6,
     Err = 33,
     UserBanned = 35,
     Ping = 50,
     RegistrationOk = 51,
     EspNotify = 52,
     FlatResults = 55,
     NoFlatsForUser = 57,
     NoFlats = 58,
     FlatCreated = 59,
     SystemBroadcast = 139,
     CheckSum = 141,
     ModAlert = 161,
     NavNodeInfo = 220,
     UserFlatCats = 221,
     AvailableBadges = 229,
     SessionParameters = 257
}