namespace Tiger.Game.Habbos;

public class HabboSubscription
{
    public virtual int Id { get; set; }
    public virtual Habbo Habbo { get; set; } = null!;
    public virtual string SubscriptionType { get; set; }= null!;
    public virtual DateTime Started { get; set; }
    public virtual DateTime Expires { get; set; }
    
    public virtual int DaysInMonthLeft => (int)(Expires - DateTime.Now).TotalDays % 31;
    public virtual int MonthsLeft => (int)(Expires - DateTime.Now).TotalDays / 31;
    public virtual double MinutesLeft => (Expires - DateTime.Now).TotalMinutes;
}