using Tiger.Game.Rooms;

namespace Tiger.Game.Navigator.Nodes;

public class NavigatorNode
{
    public virtual int Id { get; set; }
    public virtual string Name { get; set; } = null!;
    public virtual NavigatorNode? Parent { get; set; }
    public virtual bool Visible { get; set; }
    public virtual bool AllowTrade { get; set; }
    public virtual int RankAccess { get; set; }
    public virtual int RankFlatcat { get; set; }
    public virtual int Sort { get; set; }
    public virtual NavigatorNodeType Type { get; set; }
    public virtual ICollection<NavigatorNode> Children { get; set; } = new List<NavigatorNode>();
    public virtual ICollection<Room> Rooms { get; set; } = new List<Room>();
}