using System.Net.Sockets;
using System.Net.WebSockets;

namespace Tiger.Networking.Game.Sessions;

public interface IGameSessionManager
{
    GameSession AddSession(TcpClient client);
    void RemoveSession(TcpClient client);
    void CloseAll();
    GameSession? GetSession(TcpClient client);
    GameSession? GetSession(string sessionId);
    Task CloseAsync(GameSession gameSession);
}