using Tiger.Communication.Messages.Interfaces;
using Tiger.Communication.Messages.Types;

namespace Tiger.Communication.Messages.Outgoing.Purse;

public class PurseComposer : IMessageComposer
{
    private readonly int _credits;

    public PurseComposer(int credits)
    {
        _credits = credits;
    }

    public OutgoingHeaders Header => OutgoingHeaders.Purse;
    public void Compose(ServerMessage message)
    {
        message.AppendWire(_credits);
    }
}